- release_tracks: [ALPHA, BETA, GA]

  help_text:
    brief: |
      Delete an Artifact Registry package version.
    description: |
      Delete an Artifact Registry package version.

      This command can fail for the following reasons:
        * The specified package version does not exist.
        * The active account does not have permission to delete package versions.

    examples: |
      To delete version `1.0.0` of `my-pkg` under the current project, repository, and location, run:

          $ {command} 1.0.0 --package=my-pkg

  arguments:
    resource:
      spec: !REF googlecloudsdk.command_lib.artifacts.resources:version
      help_text: |
        The Artifact Registry package version to delete.
    params:
    - arg_name: delete-tags
      type: bool
      default: false
      help_text: |
        If specified, all tags associated with the version are deleted.

  request: &request
    api_version: v1
    collection: artifactregistry.projects.locations.repositories.packages.versions
    modify_request_hooks:
    - googlecloudsdk.command_lib.artifacts.util:EscapeVersionNameHook
    - googlecloudsdk.command_lib.artifacts.util:DeleteVersionTags

  async:
    collection: artifactregistry.projects.locations.operations
